summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_build.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-06-01 19:18:02 +0200
committerHolger Levsen <holger@layer-acht.org>2015-06-01 19:18:02 +0200
commit033d1037f098dcfc31bdf6042368b936bd67829e (patch)
treeba26f0991219e476462efcaf43342e485e141dab /bin/reproducible_build.sh
parent53b6a71a47e8d09e45a11214fa9752b2d023826b (diff)
downloadjenkins.debian.net-033d1037f098dcfc31bdf6042368b936bd67829e.tar.xz
reproducible: fixup 53b6a71a47
Diffstat (limited to 'bin/reproducible_build.sh')
-rwxr-xr-xbin/reproducible_build.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index 014a8af2..88064b62 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -266,9 +266,10 @@ check_buildinfo() {
grep-dctrl -s Build-Environment -n ${SRCPACKAGE} ./b1/$BUILDINFO > $TMPFILE1
grep-dctrl -s Build-Environment -n ${SRCPACKAGE} ./b2/$BUILDINFO > $TMPFILE2
set +e
- RESULT=$(diff $TMPFILE1 $TMPFILE2)
- rm $TMPFILE1 $TMPFILE2
+ diff $TMPFILE1 $TMPFILE2
+ RESULT=$?
set -e
+ rm $TMPFILE1 $TMPFILE2
if [ $RESULT -eq 1 ] ; then
irc_message "$BUILDINFO varies, probably due to mirror update. Please investigate ${BUILD_URL} and make reproducible_build.sh deal properly with this."
fi